# ACFVelocityListener (ACF (Velocity) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFVelocityListener

Package co.aikar.commands

# Class ACFVelocityListener

java.lang.Object
co.aikar.commands.ACFVelocityListener

public class ACFVelocityListener extends Object

## Constructor Summary

Constructors
Constructor
Description
`ACFVelocityListener(VelocityCommandManager manager, com.velocitypowered.api.plugin.PluginContainer plugin, com.velocitypowered.api.proxy.ProxyServer proxy)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onDisconnect(com.velocitypowered.api.event.connection.DisconnectEvent disconnectEvent)`
`void`
`onPlayerJoin(com.velocitypowered.api.event.connection.PostLoginEvent loginEvent)`
`void`
`onSettingsChange(com.velocitypowered.api.event.player.PlayerSettingsChangedEvent settingsEvent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFVelocityListener

public ACFVelocityListener (VelocityCommandManager manager, com.velocitypowered.api.plugin.PluginContainer plugin, com.velocitypowered.api.proxy.ProxyServer proxy)

## Method Details

### onPlayerJoin

public void onPlayerJoin (com.velocitypowered.api.event.connection.PostLoginEvent loginEvent)

### onDisconnect

public void onDisconnect (com.velocitypowered.api.event.connection.DisconnectEvent disconnectEvent)

### onSettingsChange

public void onSettingsChange (com.velocitypowered.api.event.player.PlayerSettingsChangedEvent settingsEvent)